﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Microsoft.Win32;
using System.Diagnostics;
using System.IO;
using System.Threading;
using System.Timers;
using System.Runtime.InteropServices;

namespace FEC_LED_Utility_32bit
{
    public partial class Form1 : Form
    {
        const int COLOR_LED_OFF = 0;
        const int COLOR_RED = 1;
        const int COLOR_GREEN = 2;
        const int COLOR_BLUE = 3;
        const int COLOR_WHITE = 4;
        const int COLOR_CYAN_BLUE = 5;
        const int COLOR_YELLOW = 6;
        const int COLOR_PURPLE = 7;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            var colors = new[] { "Off", "Red", "Green", "Blue", "White", "Cyan Blue", "Yellow", "Purple" };
            cbbColorSelect.DataSource = colors;
            cbbColorSelect.SelectedIndex = 0;

            //ExecuteCommand("FEC_LED_ConsoleTester", "GREEN");
        }

        private static void ExecuteCommand(string command, string args)
        {
            ProcessStartInfo processInfo;
            Process process;

            processInfo = new ProcessStartInfo(command);
            processInfo.Arguments = args;
            processInfo.UseShellExecute = true;
            processInfo.WindowStyle = ProcessWindowStyle.Hidden;
            process = Process.Start(processInfo);
            process.Close();
        }

        private void TurnOnLED_Click(object sender, EventArgs e)
        {
            if (COLOR_LED_OFF == cbbColorSelect.SelectedIndex)
            {
                ExecuteCommand("FEC_LED_ConsoleTester", "OFF");
            }
            else if (COLOR_RED == cbbColorSelect.SelectedIndex)
            {
                ExecuteCommand("FEC_LED_ConsoleTester", "RED");
            }
            else if (COLOR_GREEN == cbbColorSelect.SelectedIndex)
            {
                ExecuteCommand("FEC_LED_ConsoleTester", "GREEN");
            }
            else if (COLOR_BLUE == cbbColorSelect.SelectedIndex)
            {
                ExecuteCommand("FEC_LED_ConsoleTester", "BLUE");
            }
            else if (COLOR_WHITE == cbbColorSelect.SelectedIndex)
            {
                ExecuteCommand("FEC_LED_ConsoleTester", "WHITE");
            }
            else if (COLOR_CYAN_BLUE == cbbColorSelect.SelectedIndex)
            {
                ExecuteCommand("FEC_LED_ConsoleTester", "CB");
            }
            else if (COLOR_YELLOW == cbbColorSelect.SelectedIndex)
            {
                ExecuteCommand("FEC_LED_ConsoleTester", "YELLOW");
            }
            else if (COLOR_PURPLE == cbbColorSelect.SelectedIndex)
            {
                ExecuteCommand("FEC_LED_ConsoleTester", "PURPLE");
            }
            else
            {
                ExecuteCommand("FEC_LED_ConsoleTester", "OFF");
            }
        }

        private void TurnOffLED_Click(object sender, EventArgs e)
        {
            ExecuteCommand("FEC_LED_ConsoleTester", "OFF");
        }

        private void Exit_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
